body, html {
    height: 100%;
    margin: 0;
    padding: 0;
}

.container-fluid {
    padding: 0;
}

.bg-image {
    /* The image used */
    background-image: url('imagens/header.png');
    background-color: #ff1242;

    /* Full height */
    width: 100%;
    max-width: 100%;
    height: auto;

    /* Center and scale the image nicely */
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
}

p {
    margin-top: 0;
    margin-bottom: 1rem;
    line-height: 2rem;
}

.quasimoda-light-300 {
    font-family: "quasimoda", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.quasimoda-normal-400 {
    font-family: "quasimoda", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.quasimoda-italic-400 {
    font-family: "quasimoda", sans-serif;
    font-weight: 400;
    font-style: italic;
}

.quasimoda-normal-500 {
    font-family: "quasimoda", sans-serif;
    font-weight: 500;
    font-style: normal;
}

.quasimoda-normal-600 {
    font-family: "quasimoda", sans-serif;
    font-weight: 600;
    font-style: normal;
}

.quasimoda-normal-700 {
    font-family: "quasimoda", sans-serif;
    font-weight: 700;
    font-style: normal;
}

.quasimoda-italic-700 {
    font-family: "quasimoda", sans-serif;
    font-weight: 700;
    font-style: italic;
}

.flores{
    position: absolute;
    margin-top: -200px;
    content: url(imagens/folhas.png);
    width: 100%;
    max-width: 100%;
    height: auto; 
    z-index: 0;
}

.flores-2{
    position: absolute;
    margin-top: -200px;
    content: url(imagens/flores-2.png);
    width: 100%;
    max-width: 100%;
    height: auto; 
    z-index: -1;
}

.bg-footer {
    position: relative;
    content: url(imagens/footer.png);
    width: 100%;
    max-width: 100%;
    height: auto;
    background-repeat: no-repeat;
    background-position: bottom;
    z-index: 0;
    margin-top: -35px;
    
}

.footer {
    position: absolute;
    box-sizing: border-box;
    min-height: 10vh; /* Altura mínima para o footer */
}

.trailer{
    position: relative;
    margin-top: 600px; 
    z-index:3;
    padding-bottom: 30px;
}

.makingof{
    z-index:3;
    padding-bottom: 30px;
}

.makingof-title{
    z-index: 3;
    position: relative; 
}

.bg-makingof{
    position: absolute;
    content: url(imagens/bg-amarelo.png);
    width: 100%;
    max-width: 100%;
    height: auto; 
}

.sobre{
    padding-top: 30px;
    padding-bottom: 30px;
    position: relative; 
    z-index:3;
}

.convidadas{
    padding-top: 30px;
    padding-bottom: 30px;
    position: relative; 
    z-index: 3;
}

.equipe-title{
    z-index: 3;
    position: relative; 
}

.equipe{
    z-index: 3;
    position: relative; 
}

.bg-equipe{
    position: absolute;
    content: url(imagens/bg-equipe.png);
    width: 100%;
    max-width: 100%;
    height: auto; 
    z-index: 0;
}

.fotos{
    position: relative; 
    z-index:3;
    padding-top: 70px;
}

.footer {
    position: relative;
    margin-bottom: -200px;
    z-index:3;
}

.trailer-tela{
    border-style: solid;
    border-color: #2b52c2;
    border-width: 15px;
    border-radius: 15px;
}

a{
    color:none;
    text-decoration: none;
 }

.topo{
    margin-top: 10px;
}

#backToTopBtn {
    display: none; /* Escondido por padrão */
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-size: 18px;
    border: none;
    outline: none;
    background-color: #ff5957;
    color: white;
    cursor: pointer;
    padding: 15px;
    border-radius: 4px;
    opacity: 0; /* Invisível inicialmente */
    transition: opacity 0.5s; /* Transição suave */
}

#backToTopBtn.show {
    display: block;
    opacity: 1; /* Visível quando a classe show é adicionada */
}

#backToTopBtn:hover {
    background-color: #f12320; /* Cor de fundo ao passar o mouse */
}

.mt-n1 {
    margin-top: -0.75rem !important;
  }

.mt-n2 {
margin-top: -0.5rem !important;
}

/* Extra small devices (phones, less than 576px) */
@media (max-width: 575.98px) {
    .topo{
        margin-top: 370px;
    }
    .trailer{
        margin-top: 30px; 
    }
}

/* Small devices (phones, 576px and up) */
@media (min-width: 576px) {
    .topo{
        margin-top: 400px;
    }
    .trailer{
        margin-top: 30px; 
    }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .topo{
        margin-top: 440px;
    }
    .trailer{
        margin-top: 30px; 
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .topo{
        margin-top: 460px;
    }
    .trailer{
        margin-top: 30px; 
    }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .topo{
        margin-top: 0px;
    }
    .trailer{
        margin-top: 260px; 
    }
}

/* Extra extra large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
    .topo{
        margin-top: 0px;
    }
    .trailer{
        margin-top: 360px; 
    }
} 

@media (min-width: 1600px) {
    .topo{
        margin-top: 0px;
    }
    .trailer{
        margin-top: 450px; 
    }
} 


@media (min-width: 1800px) {
    .trailer{
        margin-top: 540px; 
    }
}

@media (min-width: 1950px) {
    .trailer{
        margin-top: 640px; 
    }
} 

@media (min-width: 2150px) {
    .trailer{
        margin-top: 740px; 
    }
} 


